<!doctype html>
<html lang="en">
<head>
<title>31-python-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Pad for the DebCon24 Python Team BoF!</span><span class="a_ZCqQPD1xBc15V9kZ" title="a_ZCqQPD1xBc15V9kZ" style="background-color:#9bf947"></span><br><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35"></span><br><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35">Present in the room</span><span class="a_ZO76YaSFv7eH9KoG" title="a_ZO76YaSFv7eH9KoG" style="background-color:#1b32d2"> (write your name if you feel like it)</span><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35">:</span><br><ul class="bullet"><li><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35">*</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#b9efc8">Andreas Tille <tille></span><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35"></span></li><li><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35">*</span><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35">Thomas Goirand <zigo></span><span class="a_lmMzKkURSXi6Dg9O" title="a_lmMzKkURSXi6Dg9O" style="background-color:#ab6bfb"></span></li><li><span class="a_lmMzKkURSXi6Dg9O" title="a_lmMzKkURSXi6Dg9O" style="background-color:#ab6bfb">*</span><span class="a_lmMzKkURSXi6Dg9O" title="a_lmMzKkURSXi6Dg9O" style="background-color:#ab6bfb">Jonathan Carter <jcc> (highvoltage)</span><span class="a_ZO76YaSFv7eH9KoG" title="a_ZO76YaSFv7eH9KoG" style="background-color:#1b32d2"></span></li><li><span class="a_ZO76YaSFv7eH9KoG" title="a_ZO76YaSFv7eH9KoG" style="background-color:#1b32d2">*</span><span class="a_ZO76YaSFv7eH9KoG" title="a_ZO76YaSFv7eH9KoG" style="background-color:#1b32d2">Luke Faraone <lfaraone></span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span></li><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Louis-Philippe Véronneau <pollo@d.o></span><span class="a_LjzJhZ3JUHATCOid" title="a_LjzJhZ3JUHATCOid" style="background-color:#a523f8"></span></li><li><span class="a_LjzJhZ3JUHATCOid" title="a_LjzJhZ3JUHATCOid" style="background-color:#a523f8">*</span><span class="a_LjzJhZ3JUHATCOid" title="a_LjzJhZ3JUHATCOid" style="background-color:#a523f8">Faidon Liambotis <paravoid></span></li><li><span class="a_LjzJhZ3JUHATCOid" title="a_LjzJhZ3JUHATCOid" style="background-color:#a523f8">*</span><span class="a_pf0LroVm4NahGMyY" title="a_pf0LroVm4NahGMyY" style="background-color:#d1758b">Carsten Schoenert <tijuca></span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72"></span></li><li><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">*</span><span class="a_3SNIHNnnYB079RVp" title="a_3SNIHNnnYB079RVp" style="background-color:#b4cd72">Utkarsh <utkarsh></span><span class="a_hencTVowdVOzJq90" title="a_hencTVowdVOzJq90" style="background-color:#ce5f35"></span></li><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">Stefano Rivera <stefanor@d.o></span><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387"></span></li><li><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387">*</span><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387">Graham Inggs <ginggs></span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a"></span></li><li><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">*</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">Matthias Klose <doko></span><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#15e486"></span></li><li><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#15e486">*</span><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#15e486">Nilesh Patra <nilesh></span><span class="a_6AI8kTqeWFuWEGxY" title="a_6AI8kTqeWFuWEGxY" style="background-color:#1204f2"></span></li><li><span class="a_6AI8kTqeWFuWEGxY" title="a_6AI8kTqeWFuWEGxY" style="background-color:#1204f2">*</span><span class="a_6AI8kTqeWFuWEGxY" title="a_6AI8kTqeWFuWEGxY" style="background-color:#1204f2">Edward Betts <edward></span><span class="a_uqgVMx7B1WwoPoJ1" title="a_uqgVMx7B1WwoPoJ1" style="background-color:#3c8b22"></span></li><li><span class="a_uqgVMx7B1WwoPoJ1" title="a_uqgVMx7B1WwoPoJ1" style="background-color:#3c8b22">*</span><span class="a_uqgVMx7B1WwoPoJ1" title="a_uqgVMx7B1WwoPoJ1" style="background-color:#3c8b22">Ananthu C V <weepingclown></span><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e"></span></li><li><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e">*</span><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e">Andrey Rakhmatullin <wrar></span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5"></span></li><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">Nicolas Dandrimont <olasd></span><span class="a_SiE53SNQrJEWdjwG" title="a_SiE53SNQrJEWdjwG" style="background-color:#713be0"></span></li><li><span class="a_SiE53SNQrJEWdjwG" title="a_SiE53SNQrJEWdjwG" style="background-color:#713be0">*</span><span class="a_SiE53SNQrJEWdjwG" title="a_SiE53SNQrJEWdjwG" style="background-color:#713be0">Bo YU <vimer></span><span class="a_3hUdb9LYSk8xsWiL" title="a_3hUdb9LYSk8xsWiL" style="background-color:#b5c2e9"></span></li><li><span class="a_3hUdb9LYSk8xsWiL" title="a_3hUdb9LYSk8xsWiL" style="background-color:#b5c2e9">*</span><span class="a_3hUdb9LYSk8xsWiL" title="a_3hUdb9LYSk8xsWiL" style="background-color:#b5c2e9">Kathara Sasikumar <kathara></span><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27"></span></li><li><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">*</span><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">Shunsuke Yoshida <koedoyoshida> : 2nd BOF from PyCon JP </span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ul><span class="a_ZCqQPD1xBc15V9kZ" title="a_ZCqQPD1xBc15V9kZ" style="background-color:#9bf947"></span><br><span class="anonymous" title="anonymous">Items we need to talk about:</span><span class="a_ZCqQPD1xBc15V9kZ" title="a_ZCqQPD1xBc15V9kZ" style="background-color:#9bf947"></span><br><ol start="1" class="number"><li><span class="a_ZCqQPD1xBc15V9kZ" title="a_ZCqQPD1xBc15V9kZ" style="background-color:#9bf947">*</span><span class="anonymous" title="anonymous">Migration to python 3.12: retrospective</span><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387"></span></ol><ul class="indent"><li><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387">*</span><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387">1.1 python3.12 transition was interrupted between the "add 3.12 as supported" and "default to 3.12" phases,  this resulted in many bugs being filed "early" which seemed to cause some confusion; bugs were closed without being properly fixed, and being "early" didn't even help with auto-removals, as that only comes into effect when bug severities are bumped.</span><span class="a_ZCqQPD1xBc15V9kZ" title="a_ZCqQPD1xBc15V9kZ" style="background-color:#9bf947"></span></ul><ol start="1" class="number"><li><span class="a_ZCqQPD1xBc15V9kZ" title="a_ZCqQPD1xBc15V9kZ" style="background-color:#9bf947">*</span><span class="anonymous" title="anonymous">Default Python version for Trixie (migration to 3.13)</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a"></span><ol start="1" class="number"><li><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">*</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a"> can it be done? the 3.12 transition in Debian was one of the slowest</span></li><li><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">*</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">scan for PEP 594, removed modules, file bug reports</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">There is already a Lintian Tag checking for PEP 594 (`uses-deprecated-python-stdlib`), available in 2.117.1</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a"></span></ol><li><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">*</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">Don't configure with any of the experimental features</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"> (no GIL)</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5"></span></li><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">What's new: https://docs.python.org/3.13/whatsnew/3.13.html</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a"></span></ol><li><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">*</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">Address invalid escape warnings for all packages (scan build logs?) E.g. </span><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e">https://bugs.debian.org/</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">1076064</span><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387"> (could this be something for piuparts?)</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5"></span><ol start="1" class="number"><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">speaking as piuparts maintainer, I at least have installation logs for all packages, so I could do a one-shot analysis. I think piuparts has infrastructure to grep logs?</span></li><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">after checking, yes it can, I'll have a look when I do piuparts work this week</span></li><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">piuparts wouldn't see the escape issues on test files that are not being installed</span></li><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">the autopkgtest team doesn't offer a place to grep all autopkgtest logs, but if we ask them for an analysis on debian-ci@l.d.o they can try to have a look</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol><li><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">*</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">cross building third party packages, e.g. </span><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e">https://bugs.debian.org/</span><span class="a_xgt8TXp0lI3RPtoO" title="a_xgt8TXp0lI3RPtoO" style="background-color:#24bf0a">1072709</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Documenting how it can be done for Extensions would be a good idea</span></ol><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Team policy on running upstream tests during build and as autopkgtest</span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">SHOULD vs MUST + documenting exceptions?</span></li><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">https://salsa.debian.org/python-team/tools/python-modules/-/merge_requests/24</span></ol><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Requests for Lintian tags</span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">look at what's new in 3.13</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#b9efc8"></span></ol><li><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#b9efc8">*</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#b9efc8">Decision making in team</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5"></span><ol start="1" class="number"><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">both the Python policy and the Debian Python Team policy have processes for updates, these processes seem to be working okay?</span></li><li><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">*</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">For the Uploaders/Maintainer Team policy change, people who disagreed with the proposed policy update left the team before the policy change was even formally proposed?</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">Future work:</span><ol start="1" class="number"><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">Migrate to pybuild-plugin-pyproject for everything?</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">list of packages that could migrate to it but haven't yet: https://udd.debian.org/lintian/?email1=team%2Bpython%40tracker.debian.org&email2=&email3=&packages=&ignpackages=&format=html&lt_error=on&lt_warning=on&lt_information=on&lintian_tag=missing-prerequisite-for-pyproject-backend#all</span></li><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">make it a dh_python dep</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">Migrate packages to handle failing on 0 passing tests: (New feature we added in cpython 3.12, but we disabled it to stop breaking all these packages)</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Do it </span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">during</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"> before the 3.13 transition?</span></li><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">pollo will open bugs if he's given a list of packages and logs :)</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">Alternative python implementations</span><span class="a_pf0LroVm4NahGMyY" title="a_pf0LroVm4NahGMyY" style="background-color:#d1758b"></span></ol><li><span class="a_pf0LroVm4NahGMyY" title="a_pf0LroVm4NahGMyY" style="background-color:#d1758b">*</span><span class="a_pf0LroVm4NahGMyY" title="a_pf0LroVm4NahGMyY" style="background-color:#d1758b">Release goals for Trixi</span><span class="a_yo9KPVaYPG9JfTqE" title="a_yo9KPVaYPG9JfTqE" style="background-color:#3f8fa5">e</span><span class="a_pf0LroVm4NahGMyY" title="a_pf0LroVm4NahGMyY" style="background-color:#d1758b">?</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span></li><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Remote Sprint?</span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">People suggested "1 day everything 2 weeks" for the Python Team. eamanu tried to organise IRC meetings</span><ol start="1" class="number"><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_WUazETxwcFwGR2bH" title="a_WUazETxwcFwGR2bH" style="background-color:#07581d">eamanu</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"> is interested in making this happen</span><span class="a_WUazETxwcFwGR2bH" title="a_WUazETxwcFwGR2bH" style="background-color:#07581d"> </span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">(</span><span class="a_WUazETxwcFwGR2bH" title="a_WUazETxwcFwGR2bH" style="background-color:#07581d">Yes, I am :-)</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"> )</span></li><li><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">*</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da">Look at what the Perl Team did</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol></li></ol><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">For python developers on Debian: Out of archive (or experimental) builds for all current stable cPython releases? (deadsnakes-style or something)</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span></ol><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span><br><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span><br><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">Notes of the 2nd Python Team BoF!</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span><br><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span><br><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">Lintian / PEP 594 update</span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">severity: important</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">https://udd.debian.org/lintian-tag.cgi?tag=uses-deprecated-python-stdlib</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">list currently has a bunch of false-positive, should be fixed in the next Lintian release (code has been merged)</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">code ready to do MBF</span><span class="a_tOe4lx5VRf8A0SbM" title="a_tOe4lx5VRf8A0SbM" style="background-color:#8849da"></span></ol><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_Sc4D0DshRL36Dz3Z" title="a_Sc4D0DshRL36Dz3Z" style="background-color:#143387">I have some concerns about additional build-dependencies for running tests introducing circular dependencies.  We should encourage maintainers to use <!nocheck></span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">We should add a paragraph in the current MR to change the DPT policy wrt tests</span></ol><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">"1 day each 2 weeks" sprint update</span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">People don't have to commit a whole day</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">Use a wiki page to coordinate common goals and QA work</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">an email will be sent to the list</span><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e"></span></ol><li><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e">*</span><span class="a_Xc5WrxtLI0lYkl3z" title="a_Xc5WrxtLI0lYkl3z" style="background-color:#0cd24e">Removal of intersphinx external objects.inv access (see also https://bugs.debian.org/1032593</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">A pybuild rewrite would probably be useful to implement sphinx builds in dh_python</span><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27"></span></ol><li><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">*</span><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">PyCon Announcement https://pycon.asia/ .</span><ol start="1" class="number"><li><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">*</span><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">JP : https://2024.pycon.jp/</span></li><li><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">*</span><span class="a_lzDL3LhDUjiplzLE" title="a_lzDL3LhDUjiplzLE" style="background-color:#1c7f27">APAC: https://2024-apac.pycon.id/</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">Provide current best-practice documentation on the wiki</span><span class="a_3fUznyWhxYL1lM0j" title="a_3fUznyWhxYL1lM0j" style="background-color:#aa8e34"> (ready)</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">There is https://wiki.debian.org/Python#Encouraged_practices but it's out of date</span><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502"></span></ol><li><span class="a_MIMGGn2hRZHc2ZNS" title="a_MIMGGn2hRZHc2ZNS" style="background-color:#09a502">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">DPT admins</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">3.13 transition</span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">package all the PEP-594 alternatives listed</span><ol start="1" class="number"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">pollo will make a list of what needs to be packaged and what's already been</span></ol><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">package some new packages implementing support for removed "dead batteries"?</span></ol></li></ol><ul class="bullet"><li><ul class="bullet"><li><ul class="bullet"><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">https://github.com/simonrob/pyasyncore</span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">https://github.com/tiran/legacycrypt</span><span class="a_lmMzKkURSXi6Dg9O" title="a_lmMzKkURSXi6Dg9O" style="background-color:#ab6bfb"></span></ul></li></ul></li></ul><ol start="3" class="number"><li><ol start="3" class="number"><li><ol start="3" class="number"><li><span class="a_lmMzKkURSXi6Dg9O" title="a_lmMzKkURSXi6Dg9O" style="background-color:#ab6bfb">*</span><span class="a_lmMzKkURSXi6Dg9O" title="a_lmMzKkURSXi6Dg9O" style="background-color:#ab6bfb">https://peps.python.org/pep-0594/</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320"></span></li><li><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">*</span><span class="a_kyJBUb7epzGUHdRx" title="a_kyJBUb7epzGUHdRx" style="background-color:#087320">eamanu will have a look at what could be done for this</span><span class="anonymous" title="anonymous"></span></ol></li></ol></li></ol>
</body>
</html>
